Compute Cloud API, REST: Snapshot.Create
Creates a snapshot of the specified disk.
HTTP request
POST https://compute.api.cloud.yandex.net/compute/v1/snapshots
Body parameters
{
"folderId": "string",
"diskId": "string",
"name": "string",
"description": "string",
"labels": "object",
"hardwareGeneration": {
// Includes only one of the fields `legacyFeatures`, `generation2Features`
"legacyFeatures": {
"pciTopology": "string"
},
"generation2Features": "object"
// end of the list of possible fields
}
}
|
Field |
Description |
|
folderId |
string ID of the folder to create a snapshot in. |
|
diskId |
string ID of the disk to create the snapshot from. |
|
name |
string Name of the snapshot. |
|
description |
string Description of the snapshot. |
|
labels |
object (map<string, string>) Resource labels as |
|
hardwareGeneration |
Specify the overrides to hardware_generation of a source disk, image or snapshot, |
HardwareGeneration
A set of features, specific to a particular Compute hardware generation.
They are not necessary supported by every host OS or distro, thus they are fixed to an image
and are applied to all instances created with it as their boot disk image.
These features significantly determine how the instance is created, thus cannot be changed after the fact.
|
Field |
Description |
|
legacyFeatures |
Includes only one of the fields |
|
generation2Features |
object Includes only one of the fields |
LegacyHardwareFeatures
A first hardware generation, by default compatible with all legacy images.
Allows switching to PCI_TOPOLOGY_V2 and back.
|
Field |
Description |
|
pciTopology |
enum (PCITopology)
|
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |